import random

import rpg

class RandomEnemyGenerator(object):
    def __init__(self):
        self.enemies = [ ('Skull', 10, 'skull.png'), 
                         ('Eye Soldier', 8, 'greeneye.png') ]
    
    def enemyForLevel(self, tiles, level):
        level = max(1, level / 2)
        name, frames, image = random.choice(self.enemies)
        skull = rpg.Enemy(image, tiles,frames,level)
        skull.world.center = tiles.tileToWorld(tiles.randomOpenTile())
        skull.name = name
        skull.xp = level * 150
        #skull.xp = 1000
        
        return skull